#include "gassp72.h"

int periode_en_tck = 100;

int current_value = 0;

void timer_callback(void);


int main(void) {
	// activation de la PLL qui multiplie la frquence du quartz par 9
	CLOCK_Configure();
	// config port PB1 pour tre utilis en sortie
	GPIO_Configure(GPIOB, 1, OUTPUT, OUTPUT_PPULL);
	// initialisation du timer 4
	// Periode_en_Tck doit fournir la dure entre interruptions,
	// exprime en priodes Tck de l'horloge principale du STM32 (72 MHz)
	Timer_1234_Init_ff( TIM4, periode_en_tck );
	// enregistrement de la fonction de traitement de l'interruption timer
	// ici le 2 est la priorit, timer_callback est l'adresse de cette fonction, a crr en asm,
	// cette fonction doit tre conforme  l'AAPCS
	Active_IT_Debordement_Timer( TIM4, 2, timer_callback );
	// lancement du timer
	Run_Timer( TIM4 );
	
	
	while	(1) {
		
	}
}


